package com.zswc.creativity.activity

import android.os.Bundle
import com.zswc.creativity.base.MBActivity
import com.zswc.creativity.databinding.ActivityForgetPasswordBinding
import com.zswc.creativity.model.User
import com.zswc.creativity.vmodel.ForgetPasswordVModel

/**
 *Created by shihuiyun
 *on 2020/9/25
 */
class ForgetPasswordActivity : MBActivity<ForgetPasswordVModel, ActivityForgetPasswordBinding>(){


    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)
        var user= User.get()
        if(null!=user){
            vm.phone=user.phone
        }

    }

    override fun binding(): ActivityForgetPasswordBinding {
       return ActivityForgetPasswordBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<ForgetPasswordVModel> {
        return ForgetPasswordVModel::class.java
    }

    override fun title(): String? {
        return ""
    }

}
